Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • 08:46
    open-collective-bot[bot] commented #1481
  • 08:46
    AndyAbok opened #1481
  • Jan 21 20:34
    theimowski closed #1464
  • Jan 21 20:34
    theimowski commented #1464
  • Jan 20 13:08
    Krzysztof-Cieslak commented #1480
  • Jan 19 10:09
    open-collective-bot[bot] labeled #1480
  • Jan 19 10:09
    open-collective-bot[bot] commented #1480
  • Jan 19 10:09
    MangelMaxime opened #1480
  • Jan 19 08:01
    atheck closed #1479
  • Jan 19 08:01
    atheck commented #1479
  • Jan 13 17:45

    Krzysztof-Cieslak on 5.2.0

    (compare)

  • Jan 13 17:45

    Krzysztof-Cieslak on master

    Update FSAC Bump version to 5.2.0 (compare)

  • Jan 13 11:38
    Krzysztof-Cieslak labeled #1478
  • Jan 13 10:33
    open-collective-bot[bot] commented #1479
  • Jan 13 10:33
    atheck opened #1479
  • Jan 12 20:38
    l1x commented #1478
  • Jan 12 19:39
    l1x commented #1478
  • Jan 12 19:38
    l1x commented #1478
  • Jan 12 19:37
    l1x commented #1478
  • Jan 12 17:11
    MangelMaxime commented #1478
If there is a more active forum for discussion let me know and I’ll stop spamming this place :sweat_smile:
Gulogomi
@Gulogomi
Hello everyone! I get the error "connect ECONNREFUSED 127.0.0.1:8239" when I try run the script. ALT+ENTER gives another error "Failed to spawn FSI, please ensure it's in PATH"
Fergus Meiklejohn
@fergusmeiklejohn

Using the latest Fable Minimal template.
Does anyone know what this Ionide message means:

Consider using the .Net Core language services by setting `FSharp.fsacRuntime` to `netcore`

Where do I set FSharp.fsacRuntime?

thanks

TEDDY
@Teddmab
Hi everyone, I'm uiet new on Ionid-f# and I'm getting the following error message every time I try to run the FSI
Failed to spawn FSI, please ensure it's in PATH
I'm using: - Ubuntu 16.04 - Visual Studio Code 1.28.2 - Ionide-sharp 3.28.0
does anyone have an idea what would be the issue ?
I've been using F# on VS Code since few months but this is the first time I'm getting this
I tried to reinistall ionide and relaunch VS code, but issue persits
(+ (* 1 2 3 4) 5 6 7)
@cowlike
@fergusmeiklejohn it's in settings/ extensions/fsharp configuration
Fergus Meiklejohn
@fergusmeiklejohn
Thanks!
s164158
@s164158
I have the same issue, as teddy, however I tried pointing to my FSI path C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\Common7\IDE\CommonExtensions\Microsoft\FSharp\fsi.exe\ but this doesnt work, any tips?
Onur Gumus
@OnurGumus
does debugging make use of launch.json ?
Prince Dzonga
@t3ndai
Hello folks, I'm using .netcore on MacOS but and I've set Iodide to use .netcore but can't get the REPL to work
Bob McCrory
@Bob-McCrory
@s164158 I did the same, but without the final '\', and it worked (sort of). I can run FSI, but I still don't have Intellisense
Matthew Moloney
@moloneymb
hi folks, it seems as if Ionide defaults to the 32bit FSI, I have example rojects that have 64bit native libraries and I'd like to enable end users to simply git clone, open in Ionide, then run script in FSI without having to first change their worspace settings to the full path of FSharpAnyCPU. Is there any way to do this currently?
Matthew Moloney
@moloneymb
Lee Paludan
@Paludan
Hey guys, I still have this issue here ionide/ionide-vscode-fsharp#949 and have had it for a week or so now. Anyone know how to get around it?*
Tom Pittman
@Tlingit

I am just starting out learning programming with F# via Gareth Hubball's Twitch videos. He's on a PC, I'm on a Mac, and when I installed VS Code and Ionide-fsharp, I got an error message about Mono. I figured out what that was and installed it, but now I still get the following message (and I can't figure out how to fix it): "Consider using the .Net Core language services by setting FSharp.fsacRuntime to netcore"

I've Googled and Binged and I'm still stuck, so any assistance would be appreciated. Cheers!

Tom Pittman
@Tlingit
@Tlingit I fixed it! Thanks to @cowlike; your last comment to @fergusmeiklejohn was what gave me the missing bit of information I needed to figure out my problem. :-)
Theia Vogel
@vgel
I just added the Ionide F# extension to VSCode and it's not recognizing a package I added with dotnet add package. The project builds fine, but Ionide is saying that the package FParsec (which is what I added) is not defined.
I'm very confused so was hoping someone who knew what they were doing could help :)
PinkyBrain
@PinkyBrain_gitlab
some projects in my solution show "Status: parsed correctly" but the tree is empty in the ionide tab, other projects are all there, any idea what causes this?
(+ (* 1 2 3 4) 5 6 7)
@cowlike
@vgel I found that happening a lot with my vscode (seems like it gets better or worse with different updates) but I started cleaning the build output with the following hammer, which usually cures it: rm -r `find . -type d \( -name "obj" -o -name "bin" \)`
From the project root where the sln file sits, of course
PinkyBrain
@PinkyBrain_gitlab
it happens on both multitarget and singletarget projects, and both on projects with only f# refs as well as projects with f# and c# refs, so im ruling that out
Also, im using the sdk proj format on both the projects that load correctly and those that don't. The only clue is that it looks only the simple and small projects are loading
PinkyBrain
@PinkyBrain_gitlab
Nevermind, sorry, seems restoring the projects and waiting patiently is the answer
PinkyBrain
@PinkyBrain_gitlab
I see DU cases as just regular text, is there no syntax highlighting for them or is this configurable somewhere?
Sandeep Chandra
@sandeepc24
I am getting following error in Fable-Elmish project
Problem reading assembly 'c:\..\bin\Debug\netstandard2.0\DataLibrary.dll': Build was not evaluated, expected the results to be ready after 'Eval' (GetCheckResultsAndImplementationsForProject, data = ("FinalizeTypeCheck", [|Id 1007; Id 1008; Id 1009; Id 1010; Id 1011|], Id 1013,
 false, None)).
What does this mean?
I have reinstalled ionide and I still get the same error
Stefan Liebig
@StefanHub
Just starting with F#. I tried to use VS-Code/ionide with the mono runtime for windows. Is this possible at all?
Zane D. Purvis
@zanedp
@sandeepc24 That path doesn't make sense to me. The C:\..\ part is indicating one directory above your C: drive which doesn't make any sense.
Sandeep Chandra
@sandeepc24
The issue was with me using netcore for ionide, after reverting to net this error is gone.
JNLanthanide
@JNLanthanide
Ionide fsharp is working as intended, except I can't seem to get autocompletion, any of you guys know why?
I'm on Atom
Fergus Meiklejohn
@fergusmeiklejohn
@JNLanthanide on VSCode I usually have to build the project to get autocompletion
oren
@countoren
Hi , is anyone here running vscode + ionide in nix/nixos?
this is my shell.nix
oren
@countoren
getting : Failed to send text to FSI, Failed to spawn FSI, please ensure it's in PATH
oren
@countoren
Solved it by adding a settings file with FSI path :)
oren
@countoren
Hi I was able to start default SAFE app with a nix package manger building the enviorment : https://github.com/countoren/FSharpBase check out shell.nix. But somewhy vscode is not able to load the Server project throwing: [Extension Host] [IONIDE-FSAC] Cannot execute simplifiedNames, File '/Users/oren/Desktop/fsharpTest/src/Shared/Shared.fs' not parsed .
and [IONIDE-FSAC] Cannot execute recordStubGenerator, File '/Users/oren/Desktop/fsharpTest/src/Server/Server.fs' not parsed
ps the Client project works just fine
and everything runs from the terminal
bevo009
@bevo009

Hi, what settings do you guys use for Ionide on WSL on windows?
Specifically, how do you tell Ionide to target dotnet tools on mono/Linux rather than VS2017? And how do you tell if it is?
So far, I use these related settings:

"terminal.integrated.shell.windows": "C:\\WINDOWS\\System32\\wsl.exe",
"FSharp.fsacRuntime": "netcore",
"FSharp.monoPath": "/usr/bin/mono",

I'm getting squiggly lines/errors on the minimal fable project and files missing in the F# explorer, and wondering if there's a setting in File-Preferences-Settings-Extensions-FSharp configuration that might fix it.
Cheers!